from sqlalchemy import Column, Integer, String, Float, DateTime
from sqlalchemy.sql import func
from app.db.base_class import Base


class Calculation(Base):
    id = Column(Integer, primary_key=True, index=True)
    operation = Column(String, index=True)
    first_number = Column(Float)
    second_number = Column(Float, nullable=True)
    result = Column(Float)
    created_at = Column(DateTime(timezone=True), server_default=func.now())
