from fastapi import APIRouter
from app.api.endpoints import calculator, health

router = APIRouter()
router.include_router(calculator.router, prefix="/calculator", tags=["calculator"])
router.include_router(health.router, tags=["health"])
